cls
@echo off
echo.
echo.
echo.
echo.
echo.
echo.
echo.   This is an example batch file which can be used to generate .V
echo.   files from MicroCADAM.  Edit this file as required and place
echo.   the HPGL.SYS driver provided in this package into the \MCADAM\
echo.   DRIVERS directory.  You must also edit the first two lines of
echo.   the file CGI.HP (provided in the ViewPort+ program directory) to
echo.   match the mouse and video drivers used with MicroCADAM (see the
echo.   CGI.CFG file found in \MCADAM).
echo.
echo.
echo.
echo.
echo.
echo.
pause
echo off
c:
cd\mcadam
set plot_id=7585
set paper_size=36x48

REM  If you are currently using the setting, "SET HPGL=LPTx or COMx",
REM  you must remove the REM from the line below.

REM set hpgl=

REM  If plots longer than 45 inches are being plotted remove the REM
REM  from the following three lines.

REM set units=mm
REM SET nframes=2
REM paper_size=894x1120

REM  The following line must be edited to match exactly what you use 
REM  with MicroCADAM or PLOTPLUS won't run.
 
set mcadam=/dmouse /c02f8 /s050

REM  The remainder of this file must be edited to reflect the drive and
REM  directory names used by your system.

if exist c:\mcadam\pltfile.* del c:\mcadam\pltfile.*
copy c:\mcadam\cgi.cfg c:\mcadam\cgi.hld
copy c:\vpp\cgi.hp c:\mcadam\cgi.cfg
call c:\mcadam\plotplus
copy c:\mcadam\cgi.hld c:\mcadam\cgi.cfg
set prefix=vpp
set vpp=c:\vpp
set vppcfg=c:\vpp
set station=$01
call c:\vpp\import hpgl pltfile.* c:\vpp /r /e /m
c:
cd\vpp
call c:\vpp\viewport
