

                       ADI Plotter Drivers

ADI plotter drivers are available for most makes and models of
plotters on the market.  These drivers are NOT distributed or
supported by CADMAN Corp, and must be obtained directly from the
manufacturer of the plotter.


Installed vs. Standalone ADI Drivers
------------------------------------
Most ADI plotter drivers can be used as either an installed 
driver with ViewPort+, or as a standalone plot utility with 
ADI ASCII type plot files.  

INSTALLED DRIVER:  To use the ADI plotter driver as an installed
driver, it must be loaded BEFORE you begin ViewPort+ as a memory-
resident program.  In this case the user loads and configures
their ADI driver before starting ViewPort+. Next, the user enters
their hexidecimal interrupt (0xxh) value as the "Output file
target" in ViewPort+'s Plotter Settings Screen.  For example, if
you are using INT 078h, then you would enter the two digit
number, "78", as your "Output file target". (Note: This is only
valid when the "Output file format" is set to "ADI", and will not
work for other types of file formats.)

STANDALONE DRIVER:  To use an ADI plotter driver as a standalone
plot utility, ViewPort+ must first create an ASCII ADI plot file.
To do this the user enters, "FILE", as the output file target,
and "ADI" as the output file format when plotting from ViewPort+.
Next, the user must exit out of ViewPort+ and pass the name of 
their plot file as a parameter to their ADI driver along with any 
parameters which may be required. For example, if you are using 
Houston Instrument's ADI driver in standalone mode the following 
line would be typical of what should be entered from the DOS 
prompt:

   C:\VIEWPORT>DMPLADI -P61DL -M1 -C1 -B9600 EXAMPLE1.PLT

Note: In the previous example the original plot file was named,
"EXAMPLE1.P", and had to be renamed to "EXAMPLE1.PLT" in order
for this particular ADI driver to work properly.

WARNING:  Many of the plotters on the market today can operate at
baud rates as high as 38,400 baud, however, most serial cards and
compatible computers will not reliably operate at this high of
baud rate.  If you observe stray vectors being plotted you should
reduce your systems baud rate to 9600 baud.
