
                      Printer Mode List        

                 
LASER PRINTERS
--------------
The output modes for various makes and modes of laser printers
are shown below.  Laser printers using a "L-" or "L" output mode
must be configured for HP LaserJet emulation.  Some printers may
require the use of an add-on cartridge for LaserJet emulation. 
Additional help on different formats is provided at the end of
this file and indicated by a note # within brackets, i.e. [#].


Output Mode          Printer Description           Dots-Per-Inch 
-----------  ----------------------------------    -------------
 L- or L     BlaserStar [5]                         L-=150x150
 L- or L     CIE LIPS 10 [5]                        L =300x300
 L- or L     CIE LIPS 10 Plus [5]                        "
 L- or L     C. Itoh Jet-Setter [5]                      "
 L- or L     Dataproducts LZR 1230 [5]                   "
 L- or L     Data Technology CrystalPrint VIII [5]       "     
 L- or L     Destiny Laser Act I                "        "
 L- or L     Epson GQ-3500                      "        "
 L- or L     Genicom Centronics PagePrinter 8   "        "
 L- or L     Genicom 5010                       "        "
 L- or L     Hewlett-Packard LaserJet 500 Plus  "        "
 L- or L     Hewlett-Packard LaserJet Series II "        "

    I-       HP LaserJet IIP or III, DeskJet [5]    I-=150x150
    I        HP LaserJet IIP or III, DeskJet [5]    I =300x300 
    4-       IBM LaserPrinter (PPDS mode) [9]       4-=150x150
    4        IBM LaserPrinter (PPDS mode) [9]       4 =300x300
                                                    
 L- or L     Kyocera F-1010 [5]                     L-=150x150
 L- or L     Kyocera F-2010 [5]                     L =300x300
 L- or L     Kyocera F-3010 [5]                          "
 L- or L     The Laser Connection PS Jet [5]             "
 L- or L     Mannesman Tally 910          "              "
 L- or L     NEC Silentwriter LC-890      "              "
 L- or L     Oasys LaserPro 810-R         "              "
 L- or L     Oasys LaserPro Express       "              "
 L- or L     Oasys LaserPro Express Series II [5]        "
 L- or L     Oasys LaserPro Silver Express     "         "
 L- or L     Okidata Laserline 6               "         "    
 L- or L     Personal Comp. Prod. LaserIm. 200 "         "
 L- or L     Personal Comp. Prod. LaserIm.3000 "         "
 L- or L     Printronix L1012                  "         "
 L- or L     QMS PS-800 Plus                   "         "
 L- or L     QMS SmartWriter 80 Plus           "         "
 L- or L     QuadLaser I                       "         "
 L- or L     Qume LaserTEN                     "         "
 L- or L     Ricoh PC Laser 6000               "         "
 L- or L     Texas Instruments OmniLaser 2108  "         "
 L- or L     Texas Instruments OmniLaser 2115  "         "


DOT MATRIX PRINTERS
-------------------
The output modes for various makes and models of dot matrix
printers are shown below.  Whenever a printer must be configured
to emulate another make or model, the required emulation is shown
in parenthesis.  Additional help on different printers is
provided at the end of this file and indicated by a note # within
brackets, i.e. [#].


Output Mode         Printer Description            Dots-Per-Inch
-----------  ----------------------------------    -------------
 T,T+,T*     Alps ALQ200 (Epson LQ) [4]             T =180x180
 T,T+,T*     Alps ALQ300 (Epson LQ) [4]             T+=360x180   
 T,T+,T*     Alps P2400C (Epson LQ) [4]             T*=360x360
                                                 
   1,1+      Alps P2000 (IBM Proprinter) [10]       1 =120x72    
   1,1+      Alps P2100 (IBM Proprinter) [10]       1+=120x144   
   1,1+      Axonic ThinWrite 100 (IBM Pro.) [10]        "       
   1,1+      Brother M-1509 (IBM Proprinter) [10]        "    
   1,1+      Brother M-1709 (IBM Proprinter) [10]        "      
   1,1+      Brother M-4018 (IBM Proprinter) [10]        "      
   1,1+      Brother Twinriter 5 (IBM Pro.) [10]         "      
                                                 
 N,N+,N*     Brother Twinriter 6 (Epson FX) [3]     N =120x72   
 N,N+,N*     Brother M-1109 (Epson FX) [3]          N+=120x216
 N,N+,N*     C.Itoh ProWriter Jr Pls (Epson FX) [3] N*=240x216
                                                
 T,T+,T*     C.Itoh C-715A (Epson LQ) [4]           T =180x180   
                                                    T+=360x180
                                                    T*=360x360

   1,1+      C.Itoh C-310 XP (IBM Proprinter) [10]  1 =120x72    
   1,1+      C.Itoh C-315 XP (IBM Proprinter) [10]  1+=120x144   
   1,1+      C.Itoh ProWriter C310CXP(IBM Pro) [10]      "      
   1,1+      CIE TriPrinter CI3500M20(IBM Pro) [10]      "     
                                            
   J-,J      Canon BJ (BJ130 mode) [1]              J-=180x180 
                                                    J =360x360
                                                    
   7-,7      Canon BJ130E, BJ10E, BJ300, and        7-=180x180
              BJ330 (IBM ExecJet) [8]               7 =360x360

   D-,D      Canon LBP (ISO mode) [2]               D-=150x150
                                                    D =300x300
                                                 
 N,N+,N*     Epson EX-800 [3]                       N =120x72
 N,N+,N*     Epson EX-1000 [3]                      N+=120x216
 N,N+,N*     Epson FX-86 [3]                        N*=240x216
 N,N+,N*     Epson FX-286 [3]                            "
                                                
 T,T+,T*     Epson LQ-800 [4]                       T =180x180
 T,T+,T*     Epson LQ-850 [4]                       T+=360x180
 T,T+,T*     Epson LQ-1000 [4]                      T*=360x360
 T,T+,T*     Epson LQ-1050 [4]                           "
 T,T+,T*     Epson LQ-2500 [4]                           "
 T,T+,T*     Epson LX-800 [4]                            "
                                                
 N,N+,N*     Facit 4513 (Epson FX) [3]              See Epson FX 
                                                
   1,1+      Facit B3100 (IBM Proprinter) [10]      1 =120x72    
   1,1+      Facit B3150 (IBM Proprinter)   "       1+=120x144   
   1,1+      Facit B3350 (IBM Proprinter)   "            "       
   1,1+      Fortis DM2010 (IBM Proprinter) "            "      
   1,1+      Fortis DM2015 (IBM Proprinter) "            "       
   1,1+      Fujitsu DX2200 (IBM Proprinter)"            "       
   1,1+      Fujitsu DX2300 (IBM Proprinter)"            "       
   1,1+      Fujitsu DX2400 (IBM Proprinter)"            "       
                                                
 N,N+,N*     Fortis DH-45 (Epson FX) [3]            N =120x72    
 N,N+,N*     Fortis DM1310 (Epson FX) [3]           N+=120x216   
 N,N+,N*     Genicom 1020 (Epson FX) [3]            N*=240x216   
 N,N+,N*     Genicom Cen. P220 (Epson FX) [3]            "       

    P        HP PaintJet [6]                        P =180x180
    Q        HP QuietJet (PCL mode) [7]             Q =192x192
                                                
   1,1+      Honeywell Bull 4/66 (IBM Pro.) [10]    1 =120x72    
                                                    1+=120x144
                                                    
   7-,7      IBM ExecJet [8]                        7-=180x180
                                                    7 =360x360
                                                
   1,1+      IBM Proprinter [10]                    1 =120x72    
   1,1+      IBM Proprinter XL (IBM Pro.) [10]      1+=120x144   
   1,1+      IBM Proprinter II (IBM Pro.)   "            "
   1,1+      Mannesmann Tally 85 (IBM Pro.) "            "       
   1,1+      Mannesmann Tally 87 (IBM Pro.) "            "       
                                                  
   6,6+      IBM Proprinter X24,XL24,X24E,          6 =180x182
              and XL24E [11]                        6+=360x182
                                                
   5,5+      IBM X24 Compatibles alternate 1 [11]   5 =180x180
                                                    5+=360x180
                                                   
   X,X+      IBM X24 Compatibles alternate 2 [11]   X =180x180
                                                    X+=360x180
                    
    2        IBM Quietwriter 2 [12]                 2 =240x240
    3        IBM Quietwriter 3 [12]                 3 =240x240

    K        Kodak Diconix 300 [13]                 K =192x192

 N,N+,N*     Mannesmann Tally 290 (Epson FX) [3]    N =120x72   
 N,N+,N*     Mannesmann Tally 490 (Epson MX) [3]    N+=120x216   
                                                    N*=240x216
                                                 
   1,1+      Nissho NP-910 (IBM Proprinter) [10]    1 =120x72   
                                                    1+=120x144
                                                
 T,T+,T*     Nissho NP-2405 (Epson LQ) [4]          T =180x180
 T,T+,T*     Nissho NP-2410 (Epson LQ) [4]          T+=360x180
                                                    T*=360x360
   1,1+      Okidata Microline 92 (IBM Pro.) [10]   1 =120x72
   1,1+      Okidata Microline 93 (IBM Pro.)  "     1+=120x144 
   1,1+      Okidata Microline 182 (IBM Pro.) "          "     
   1,1+      Okidata Microline 183 (IBM Pro.) "          "     
   1,1+      Okidata Microline 192 (IBM Pro.) "          "     
   1,1+      Okidata Microline 193 (IBM Pro.) "          "
   1,1+      Okidata Microline 294 (IBM Pro.) "          "     
   1,1+      Olivetti DM280 (IBM Proprinter)  "          "     
   1,1+      Olympia NP30 (IBM Proprinter)    "          "     
   1,1+      Olympia NP80 (IBM Proprinter)    "          "
                                                    
 N,N+,N*     Olympia NP136 (Epson FX) [3]           N =120x72
 N,N+,N*     Panasonic KX-P1080 (Epson FX) [3]      N+=120x216 
 N,N+,N*     Panasonic KX-P1080i (Epson FX) "       N*=240x216   
 N,N+,N*     Panasonic KX-P1592 (Epson FX)  "            "       
 N,N+,N*     Panasonic KX-P1595 (Epson FX)  "            "
                                                
   1,1+      Printronix S-7024 (IBM Pro.)  [10]     1 =120x72  
   1,1+      Panasonic KX-P1091i (IBM Pro.) "       1+=120x144   
   1,1+      Panasonic KX-P1092i (IBM Pro.) "            "       

 T,T+,T*     Panasonic KX-P1524 (Epson LQ) [4]      See Epson LQ 
 T,T+,T*     Panasonic KX-P1624 (Epson LQ) [4]      See Epson LQ 
 N,N+,N*     RCA VP2100 (Epson FX) [3]              See Epson FX
                                                
 T,T+,T*     Sanyo PR-241 (Epson LQ) [4]            T =180x180   
 T,T+,T*     Seikosha SL-80AI (Epson LQ) [4]        T+=360x180   
                                                    T*=360x360

   1,1+      Seikosha MP-1300AI (IBM Pro.) [10]     1 =120x72
   1,1+      Seikosha SK-3000AI (IBM Pro.) [10]     1+=120x144
   1,1+      Seikosha SK-3005AI (IBM Pro.) [10]          "
                                                
 N,N+,N*     Seikosha MP-5300AI (Epson FX) [3]      N =120x72    
 N,N+,N*     Seikosha SP-180AI (Epson FX)   "       N+=120x216   
 N,N+,N*     Seikosha SP-1000  (Epson FX)   "       N*=240x216   
 N,N+,N*     Seikosha SP-1200AI (Epson FX)  "            "       
 N,N+,N*     Star NL-10 (Epson FX) [3]                   "       

 T,T+,T*     Star NB24-15 (Epson LQ) [4]            See Epson LQ
                                                
   1,1+      Star NR-15 (IBM Proprinter) [10]       1 =120x72
   1,1+      Star NX-10 (IBM Proprinter) [10]       1+=120x144   
                                                  
 N,N+,N*     Star NX-15 (Epson FX) [3]              N =120x72    
 N,N+,N*     Texas Instruments 857 (Epson FX) [3]   N+=120x216   
 N,N+,N*     Texas Instruments 865 (Epson FX) [3]   N*=240x216   


ALTERNATE FORMATS
-----------------
The output modes for several alternate formats used in desktop
publishing are shown below.  Additional help on different formats
is provided at the end of this file and indicated by a note #
within brackets, i.e. [#].  

Output Mode          Format Description            Dots-Per-Inch
-----------  ------------------------------------  -------------
    S        Encapsulated Postscript [14]            1016x1016 

    G        GEM .IMG bit map [15]                   100x100
    Gi,j     GEM .IMG bit map [15]                   i x j

    Z        ZSoft .PCX bit map [16]                 100x100     
    Zi,j     ZSoft .PCX bit map [16]                 i x j



     
                  ********** HELP ***********

Printer Code Prefixes
---------------------
Users may specify printer codes that will be sent to the printer
before ViewPort+'s data.  This lets you setup and reset the
printer for special situations.  These type of codes are not
normally required for ViewPort+ to operate properly.

The codes may be specified with byte values (0..255 or $0..$FF)
separated with blanks.  Codes up to 11 characters in length may
be specified.

Default Prefix:  27 79  (sets skip perforation off to allow      
                         prints larger than one page on most     
                         continuous form printers)


[1] Canon BJ Printers, IBM ExecJet
----------------------------------
The "J" mode gives 360 dpi graphics for any Canon BJ printer in
BJ130 mode.  For the BJ130E, BJ10E, BJ300, BJ330, and ExecJet in
Proprinter mode, mode "7" gives 360 dpi graphics.

Epson LQ mode and Proprinter AGM modes are not recommended. 
These printers have an image density option (switch 1-9 on the
BJ130, 1-4 on the BJ300 and ExecJet).  Low density eliminates
every second pel.  To get the full 360 dpi resolution, use high
density.


[2] Canon LBP Printers 
----------------------
"D" mode works with any Canon LBP printer in ISO mode.  At 300
dpi it takes about 1 meg of memory to print a full page of
graphics.  At 150 dpi (mode "D-") 512K handles a full page.

If the printer is in Diablo mode, ViewPort+ switches to ISO mode.
To switch back to Diablo mode on completion, use printer suffix
codes "27 58".


[3] Epson 9 Pin Printers
------------------------
Mode "N" covers a wide range of 9 pin dot matrix printers.  You
need a cyan/magenta/yellow ribbon to get color prints.  Mode "N+"
uses 1/216 indexing and mode "N*" uses 1/216 indexing and 1/240
graphics.

The IBM 9 pin Proprinters do not do 1/216 indexing and do not
correctly handle 1/240 graphics.  Mode "1" is a special
Proprinter driver.  

The mode "N" drivers use the following printer escape codes:

     esc J - index
     esc L - graphics command for "N" and "N+"
     esc Z - graphics command for "N*"
     esc r - set ribbon color (only if color is specified)


[4] Epson, NEC, Toshiba 24 Pin Printers
---------------------------------------
Mode "T" covers all Epson LQ printers and many compatible 
printers (Panasonic, etc.).  Mode "9" works with NEC 24 pin
printers.  Mode "O" works with Toshiba 24 pin printers.  Mode "O"
resets the line feed distance to 1/6 inch on completion.

For all of these drivers, you need a cyan/magenta/yellow ribbon 
to get color prints.  The + and * modes use 1/360  graphics
mode, and the * modes use 1/360 (1/120 for mode "O*") indexing
and reset the line feed distance to 1/6 inch on completion.  A
clean paper path with equal tension on each side is needed for
good 360x360 graphics.

The "T" modes use the following printer escape codes:

     esc $   - absolute tab
     esc * ' - graphics command for "T"
     esc * ( - graphics command for "T+", "T*"
     esc +   - set n/360 indexing for "T*"
     esc 2   - set 1/6 indexing for "T*"
     esc J   - index n/180
     esc r   - set ribbon color (only if color is specified)


[5] HP LaserJet, DeskJet 
------------------------
Mode "L" works with any LaserJet or DeskJet in portrait mode. 
Portrait mode may be set with printer prefix codes "27 38 108 48
79", or you can reset your printer with suffix codes "27 69".

At 300 dpi (the default), if you have just 512K in a LaserJet
then your plot can cover about half the area of the page.  1.5M
is sufficient for a full page of graphics.  At 150 dpi (mode
"L-") 512K handles a full page.  All DeskJets can handle a full
page of graphics at 300 dpi.

Mode "I" is the same as mode "L" except it uses transfer mode 2
for improved speed.  This is supported on the LaserJet IIP and
III and all DeskJets.


[6] HP PaintJet
---------------
Mode "P" drives PaintJet printers.  PaintJet printers are sold
with either a serial or parallel interface.  The parallel
interface is faster.


[7] HP QuietJet
---------------
Mode "Q" works with QuietJets in PCL mode.  Printer prefix and
suffix codes "27 37 65" and "27 37 64" will set PCL mode and then
reset to the DIP switch selected mode upon completion.


[8] HP ExecJet 
--------------
Mode "7" drives the ExecJet.  The image density (switch 1-4)
should be set to high to get the full 360 dpi resolution.


[9] IBM LaserPrinter
--------------------
Mode "4" drives the LaserPrinter in PPDS (native) mode.  Mode "L"
will work if the LaserPrinter is in HP LaserJet mode.  At 300 dpi
it takes about 1 meg of memory to print a full page of  graphics.

At 150 dpi (mode "4-") 512K handles a full page.


[10] IBM Proprinter
------------------
The mode "1" driver is for all 9 pin Proprinters.  The high
resolution driver (mode "1+") uses 1/144 inch indexing and it
does not work with Epson 9 pin compatible printers that have
1/216 inch indexing.

There is no mode "1*" resolution, which would be 240x144, 
because Proprinters do not handle 1/240 graphics correctly.

Use mode "N" for the IBM Graphics Printer.


[11] IBM Proprinter X24 and Compatible Printers
-----------------------------------------------
ViewPort+ has three drivers that cover the Proprinter X24 and
compatible printers.  The first, mode "6", is for all IBM
Proprinter X24s.  These printers do 1/144 inch indexing, and
using them at 180 dpi results in horizontal white streaks every
2/3 inch.  The mode "6" drivers compensate for this by indexing
19/144 inch per line, giving 182 dpi.  To work properly, the
printer must be on a 1/72 boundary when the graphics are printed.

If you keep the line feed distance a multiple of 1/72 (1/6, 1/8,
1/9) then this will always be the case.

The second X24 compatible driver is mode "5" and is referred to
as X24 alternate 1.  This is for printers that are X24 compatible
except that they do 1/180 inch indexing.  This is probably the
case with most X24 compatible printers, including the IBM
Quickwriter.

The third X24 compatible driver is mode "X" and is referred to as
X24 alternate 2.  This is the same as mode "5" except that the
vertical units command uses a different format that is
not strictly IBM compatible.  This driver works with Panasonic 24
pin printers in X24 mode.

Proprinter X24 and XL24 printers are very slow with graphics,
making many passes per line.  This limitation cannot be overcome 
with software. The X24E and XL24E are significantly faster.

IBM Proprinter X24s in AGM (alternate graphics mode) do not work
with ViewPort+'s Epson LQ drivers.


[12] IBM Quietwriter 2 and 3
----------------------------
Modes "2" and "3" drive the Quietwriter 2 and 3.  Line widths
should be at least .2 mm as Quietwriters do not print consistent
.1 mm lines.  These drivers reset the line feed distance to 1/6
inch upon completion.


[13] Kodak Diconix Color 4
--------------------------
Mode "K" drives the Color 4.


[14] PostScript Printers
------------------------
Mode "S" outputs Encapsulated PostScript, useful for importing
drawings into publishing programs.  All characters, arcs, fill,
and clips are converted to simple vectors. (NOTE: Encapsulated
Postscript can not be printed directly on a postscript printer
unless it is first imported into a desk top publishing program
such as Ventura Publisher, Word, PageMaker, etc.)

[15] GEM .IMG Bit Map Output
----------------------------
Mode "G" creates GEM .IMG format files.  The header is composed
of 8 word values, high byte first:

     1
     8
     number of color planes - 1 or 3
     1
     pel width in microns - round(25400 / horizontal dpi)
     pel height in microns - round(25400 / vertical dpi)
     scan line width in pels
     number of scan lines
     Note: pel = 4/1016" = .1 mm

The scan lines follow, in top to bottom order.  For color plots,
each complete scan line consists of a red, green, and then blue
scan line.  Data for the scan line uses these commands:

     $01..$7F          - 1 to 127 * 8 pels 0 (only used for      
                         background)
     $81..$8F          - 1 to 127 * 8 pels 1 (only used for      
                         background)
     $80 n b1 b2 .. bn - n bytes of bit mapped data

1 is the background and 0 the foreground for b&w files.  1,1,1 is
the background for color files, with 0 representing the absence
of red, green, or blue.


[16] ZSoft .PCX Bit Map Output
------------------------------
Mode "Z" gives .PCX output with the following format.  The file
starts with a header composed of 128 byte values:

10,2,1,1,0,0,0,0,
max_x,max_y,                                (2 bytes each, pels)
dpi_x,dpi_y,                                (2 bytes each, dpi)
0,0,0,   0,0,127,   0,127,0,   0,127,127,   (color palette)
127,0,0, 127,0,127, 127,127,0, 127,127,127,
0,0,0,   0,0,255,   0,255,0,   0,255,255,
255,0,0, 255,0,255, 255,255,0, 255,255,255,
0,
color_planes,                               (1 or 3)
width                                       (2 bytes, in bytes)
1,0,..,0

The scan lines, top to bottom, follow.  For color plots, each
complete scan line consists of a red, green and blue scan line. 
Each scan line is composed of these data commands:

     $00..$BF    - 1 byte of bit mapped data
     $C1 b       - 1 byte of bit mapped data
     $C2..$FF b  - 2..63 repeated bytes (only used for           
                   background)

1 or 1,1,1 is used for the background. 
